
I passed out at home and went unconscious. My father had died, and I had just buried him an hour earlier.

I was pulled and taken to a completely white area. There were people shuffling in a queue to the left of me. Most looked very distressed, afraid, and sad. A beautiful strong white light shone from the skies, but it wasn't a sky. It was all white. This light was a different, purer shade of white. It was at an angle. At the bottom of the light was a set of steps, which again, were white. To the right of me was a hideous looking being with its face covered with grisly, spiky, thick hair and piercing, oval, green eyes.

Next to the being was my father who had just died. My father was dressed in the same clothes that he was wearing when he died a few days earlier. My father spoke to the being saying, 'My son won't let go of me.' He said it in an Indian language called Gujarati, which we speak. A long queue of people was still shuffling in to my left, waiting to go up these white stairs. At that moment, the being came right up close to my face and SNARLED ever so loudly. Its teeth of bright, white fangs and grisly hair really scared me. It was telling me to let go of my father. I let go instantly. I was holding the process and queue up as it was my father's turn to go into the light, and I wouldn't let go of him.

Everything then went dark, and I awoke coughing. I had been so close to the light, enough to touch it, and now I have a gift. I SEE THE DEAD. I SENSE THE DEAD. I FEEL THE PRESENCE OF DEAD SOULS. I HATE THIS, AND I DO NOT WANT IT. I am not scared, but I don't want this gift.
